﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Delivery.ServiceAcceptance;
@model Toyota.Common.Web.MVC.ModelHolder

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Pickup date from";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "ROUTE_DATE";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Date = DateTime.Now.AddDays(-1);
                    edtSettings.Properties.ClientSideEvents.ValueChanged = "setMindate";
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){


                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        //key = String.fromCharCode(key);
                        //alert(key);
                        if(
                            //(key >= 37 && key <= 40) ||
                            (key >= 48 && key <= 57) ||
                            (key == 8)
                        )

                        //if (key < 48 || key > 57 )
                        {
                            theEvent.returnValue = true;
                        }else
                        {
                            theEvent.returnValue = false;
                            if(theEvent.preventDefault)
                                theEvent.preventDefault();
                        }

                        //var regex = /[0-9]|\./;
//                        if(!regex.test(key))
//                        {
//                            theEvent.returnValue = false;
//                            if(theEvent.preventDefault)
//                                theEvent.preventDefault();
//                        }
                    }



//                        function cekjumlah()
//                        {
//	                        var pola = '^';
//	                        pola += '[0-9]*';
//	                        pola += '$';
//	                        rx = new RegExp(pola);
//
//
//	                        if (!QtyP_I.value.match(rx))
//	                        {
//		                        if (QtyP_I.lastMatched)
//		                        {
//			                        QtyP_I.value = QtyP_I.lastMatched;
//		                        }
//		                        else
//		                        {
//			                        QtyP_I.value = '';
//		                        }
//	                        }
//	                        else
//	                        {
//		                        QtyP_I.lastMatched = QtyP_I.value;
//	                        }
//                        }
                    ";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "ROUTE_DATE_TO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    // edtSettings.Properties.MinDate = DateTime.Today;
                    edtSettings.Date = DateTime.Now.AddDays(-1);
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){


                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        //key = String.fromCharCode(key);
                        //alert(key);
                        if(
                            //(key >= 37 && key <= 40) ||
                            (key >= 48 && key <= 57) ||
                            (key == 8)
                        )

                        //if (key < 48 || key > 57 )
                        {
                            theEvent.returnValue = true;
                        }else
                        {
                            theEvent.returnValue = false;
                            if(theEvent.preventDefault)
                                theEvent.preventDefault();
                        }

                        //var regex = /[0-9]|\./;
//                        if(!regex.test(key))
//                        {
//                            theEvent.returnValue = false;
//                            if(theEvent.preventDefault)
//                                theEvent.preventDefault();
//                        }
                    }



//                        function cekjumlah()
//                        {
//	                        var pola = '^';
//	                        pola += '[0-9]*';
//	                        pola += '$';
//	                        rx = new RegExp(pola);
//
//
//	                        if (!QtyP_I.value.match(rx))
//	                        {
//		                        if (QtyP_I.lastMatched)
//		                        {
//			                        QtyP_I.value = QtyP_I.lastMatched;
//		                        }
//		                        else
//		                        {
//			                        QtyP_I.value = '';
//		                        }
//	                        }
//	                        else
//	                        {
//		                        QtyP_I.lastMatched = QtyP_I.value;
//	                        }
//                        }
                    ";
                }).GetHtml()
        </td>
        <td style="width:10px;"></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Delivery Type";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td style="width:100px;">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "DeliveryTypeOption";
                    gridLookup.Width = Unit.Pixel(120);
                    gridLookup.GridProperties.KeyFieldName = "DELIVERY_TYPE_DESC";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "D31301", Action = "DeliveryTypeLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(130);
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 100;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DELIVERY_TYPE_DESC";
                        column.FieldName = "DELIVERY_TYPE_DESC";
                        column.Caption = "Description";

                    });
                }).Bind(ViewData["DeliveryTypeLookup"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Trucking";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "LogisticPartnerOption";
                    gridLookup.Width = Unit.Pixel(120);
                    gridLookup.GridProperties.KeyFieldName = "LP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "D31301", Action = "LPLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(300);
                    //gridLookup.GridProperties.Height = Unit.Pixel(200);
                    gridLookup.GridProperties.Height = 105;
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 105;

                    if (Model.GetModel<List<ServiceAcceptanceData>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<ServiceAcceptanceData>>()[0].LP_CD;
                        gridLookup.ClientEnabled = false;
                    }
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "LP_CD";
                        column.FieldName = "LP_CD";
                        column.Caption = "Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "LP_NAME";
                        column.FieldName = "LP_NAME";
                        column.Caption = "Name";
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                //}).Bind(ViewData["LogisticPartnerLookup"]).GetHtml()
                }).Bind(Model.GetModel<List<ServiceAcceptanceData>>()).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "PO Number";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PO_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="4">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "RouteOption";
                    gridLookup.GridProperties.KeyFieldName = "ROUTE_RATE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "D31301", Action = "RouteLookup" };
                    gridLookup.GridProperties.Width = Unit.Pixel(310);
                    //gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                    gridLookup.Width = 217;
                    gridLookup.GridProperties.CommandColumn.Visible = false;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE_RATE";
                        column.FieldName = "ROUTE_RATE";
                        column.Caption = "Route";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE_NAME";
                        column.FieldName = "ROUTE_NAME";
                        column.Caption = "Name";

                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["RouteLookup"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Delivery Number";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DELIVERY_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.MaxLength = 13;

                }).GetHtml()
        </td>
        <td>
            <label>Status</label> <font color="#ff0000">*</font>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "StatusOption";
                    gridLookup.Width = Unit.Pixel(120);
                    gridLookup.GridProperties.KeyFieldName = "DELIVERY_STS";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 10;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "D31301", Action = "StatusLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);
                    gridLookup.GridProperties.Height = Unit.Pixel(380);
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DELIVERY_STS";
                        column.FieldName = "DELIVERY_STS";
                        column.Caption = "Status";

                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["StatusLookup"]).GetHtml()

            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "juju";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";

                    //edtSettings.Properties.ClientSideEvents.KeyDown = "OnKeyDownSearch";
                }).GetHtml()
        </td>
    </tr>

</table>

<table cellpadding="2" cellspacing="2" width="100%" border="0" style="margin-top:10px;">
    <tr>
        <td align="left" width="80">
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnDownload";
                button.Text = "Download";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "DownloadData";

            }).GetHtml()
        </td>
        <td td align="left" width="80">
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnApprove";
                button.Text = "Approve";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                // button.ClientSideEvents.Click = "approve";
                button.ClientSideEvents.Click = "approve";

                int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("D31301", "btnApprove");
                switch (auth)
                {
                    case 0:
                        button.ClientVisible = false;
                        break;
                    case 1:
                        button.Enabled = false;
                        break;
                    case 2:
                        button.ClientVisible = true;
                        button.Enabled = true;
                        break;
                    default:
                        button.ClientVisible = true;
                        button.Enabled = true;
                        break;
                }
                
            }).GetHtml()
        </td>
        <td align="left" width="80">
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnCancel";
                button.Text = "Cancel SA DCL";
                button.Width = Unit.Pixel(100);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "cancel";

                int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("D31301", "btnCancel");
                switch (auth)
                {
                    case 0:
                        button.ClientVisible = false;
                        break;
                    case 1:
                        button.Enabled = false;
                        break;
                    case 2:
                        button.ClientVisible = true;
                        button.Enabled = true;
                        break;
                    default:
                        button.ClientVisible = true;
                        button.Enabled = true;
                        break;
                }
                
            }).GetHtml()
        </td>
        <td align="left">
            <!--style="padding-left:4px; border-left:1px solid #4F93E3;"-->


        </td>

        <td align="right" style="padding-right:4px"></td>
        <td align="right" width="100">
            <!--style="padding-left:3px; border-left:1px solid #4F93E3; width:164px;"-->
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnToggle";
                button.Text = "Show Detail";
                button.Width = Unit.Pixel(100);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "ToggleDetail";
            }).GetHtml()
        </td>
        <td align="right" width="80">
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "SearchData";
            }).GetHtml()
        </td>
        <td align="right" width="80">
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "ClearGrid";
            }).GetHtml()
        </td>

    </tr>
</table>